Subject: Re: bug#26815: [PATCH 3/3] vm: Add UEFI loader to disk images.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 10 May 2017 23:05:35 +0200

Hi Marius,

Marius Bakke <[email-masked]> skribis:

> * gnu/system/vm.scm (qemu-image): Add GRUB-EFI to inputs. Append 40MiB EFI
> System Partition.
> * gnu/build/vm.scm (install-efi): New procedure.
> (initialize-hard-disk): Generate grub EFI blob when ESP is present.

[...]

> +(define (install-efi esp grub.cfg)
> +  "Write a self-contained Grub UEFI blob to the mounted ESP using GRUB.CFG."

I’m really nitpicking here, but the spelling is “GRUB”.  :-)

> +        (with-output-to-file grub.cfg
> +          (lambda _
> +            (format #t
> +                    "insmod part_msdos~@

Nitpicking too, but I have a preference for the more explicit:

  (call-with-output-file grub.cfg
    (lambda (port)
      (format port …)))

Otherwise the whole series LGTM.

Do I get it right that ‘disk-image’ will now give us UEFI-enabled
images?  (Should we mention it in guix.texi?)

Thanks a lot!

Ludo’.